Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2624633002: Remove Sync GetPose VRService call, implement VRVSyncProvider (Closed)

Created:
11 months ago by mthiesse
Modified:
10 months, 2 weeks ago
CC:
chromium-reviews, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org, abarth-chromium, haraken, Aaron Boodman, feature-vr-reviews_chromium.org, agrieve+watch_chromium.org, blink-reviews, darin (slow to review)
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove Sync GetPose VRService call, implement VRVSyncProvider This CL removes the Synchronous GetPose call from the VRService, in favor of a VRVSyncProvider that sends the pose with each VSync. BUG=655722 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_site_isolation Review-Url: https://codereview.chromium.org/2624633002 Cr-Commit-Position: refs/heads/master@{#446581} Committed: https://chromium.googlesource.com/chromium/src/+/a316edeb21fbc8c122dbe64232c72c574155ed1b

Patch Set 1 #

Total comments: 5

Patch Set 2 : Finish implementation #

Total comments: 14

Patch Set 3 : Address comments #

Patch Set 4 : Minor cleanup #

Patch Set 5 : More cleanup #

Total comments: 4

Patch Set 6 : Address comments #

Total comments: 8

Patch Set 7 : Actually upload patchset this time #

Patch Set 8 : nits #

Total comments: 12

Patch Set 9 : rebase #

Patch Set 10 : Address comments #

Total comments: 6

Patch Set 11 : Address comment #

Patch Set 12 : Fix compuile #

Patch Set 13 : Fix tests #

Patch Set 14 : Fix more compile errors #

Patch Set 15 : Dearest win_clang, please compile. #

Patch Set 16 : rebase #

Patch Set 17 : test #

Patch Set 18 : cleanup #

Patch Set 19 : Remove visibility restrictions - can address later if desired. #

Total comments: 2

Patch Set 20 : test #

Patch Set 21 : test #

Patch Set 22 : test #

Patch Set 23 : rebase #

Patch Set 24 : Fix gn check #

Patch Set 25 : ugh why #

Patch Set 26 : Use source set? #

Patch Set 27 : Maybe a component with an empty cc file will work?! #

Patch Set 28 : Cleanup #

Patch Set 29 : oops #

Unified diffs Side-by-side diffs Delta from patch set Stats (+876 lines, -545 lines) Patch
M chrome/android/java/src/org/chromium/chrome/browser/vr_shell/NonPresentingGvrContext.java View 1 1 chunk +0 lines, -10 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/vr_shell/NonPresentingGvrContextImpl.java View 1 1 chunk +0 lines, -13 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/vr_shell/VrShellDelegate.java View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 5 chunks +25 lines, -13 lines 0 comments Download
M chrome/browser/android/vr_shell/BUILD.gn View 1 2 3 4 5 6 2 chunks +4 lines, -0 lines 0 comments Download
A chrome/browser/android/vr_shell/non_presenting_gvr_delegate.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +72 lines, -0 lines 0 comments Download
A chrome/browser/android/vr_shell/non_presenting_gvr_delegate.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +148 lines, -0 lines 0 comments Download
A chrome/browser/android/vr_shell/vr_gl_thread.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +58 lines, -0 lines 0 comments Download
A chrome/browser/android/vr_shell/vr_gl_thread.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +47 lines, -0 lines 0 comments Download
M chrome/browser/android/vr_shell/vr_shell.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 6 chunks +21 lines, -17 lines 0 comments Download
M chrome/browser/android/vr_shell/vr_shell.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 20 chunks +81 lines, -95 lines 0 comments Download
M chrome/browser/android/vr_shell/vr_shell_delegate.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 3 chunks +22 lines, -5 lines 0 comments Download
M chrome/browser/android/vr_shell/vr_shell_delegate.cc View 1 2 3 4 5 6 6 chunks +57 lines, -33 lines 0 comments Download
M chrome/browser/android/vr_shell/vr_shell_gl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 7 chunks +29 lines, -9 lines 0 comments Download
M chrome/browser/android/vr_shell/vr_shell_gl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 15 chunks +151 lines, -137 lines 0 comments Download
M content/browser/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +1 line, -1 line 0 comments Download
M content/browser/frame_host/render_frame_host_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +4 lines, -0 lines 0 comments Download
M device/vr/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 4 chunks +24 lines, -3 lines 0 comments Download
M device/vr/android/gvr/gvr_delegate.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 3 chunks +12 lines, -3 lines 0 comments Download
M device/vr/android/gvr/gvr_device.h View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +1 line, -2 lines 0 comments Download
M device/vr/android/gvr/gvr_device.cc View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +5 lines, -68 lines 0 comments Download
A device/vr/empty.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 0 chunks +-1 lines, --1 lines 0 comments Download
M device/vr/test/fake_vr_device.h View 1 2 3 4 5 6 7 8 9 10 11 2 chunks +1 line, -3 lines 0 comments Download
M device/vr/test/fake_vr_device.cc View 1 2 3 4 5 6 7 8 9 10 11 3 chunks +2 lines, -9 lines 0 comments Download
M device/vr/vr_device.h View 1 2 chunks +1 line, -1 line 0 comments Download
M device/vr/vr_display_impl.h View 1 2 chunks +1 line, -1 line 0 comments Download
M device/vr/vr_display_impl.cc View 1 2 chunks +7 lines, -9 lines 0 comments Download
M device/vr/vr_service.mojom View 1 2 3 4 5 6 2 chunks +7 lines, -2 lines 0 comments Download
M third_party/WebKit/LayoutTests/vr/resources/mock-vr-service.js View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +23 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/vr/VRDisplay.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +18 lines, -14 lines 0 comments Download
M third_party/WebKit/Source/modules/vr/VRDisplay.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 11 chunks +55 lines, -95 lines 0 comments Download
M third_party/WebKit/Source/modules/vr/VRFrameData.cpp View 1 chunk +0 lines, -3 lines 0 comments Download

Messages

Total messages: 129 (71 generated)
mthiesse
PTAL, This CL isn't quite done, see the description. I haven't spent much time measuring ...
11 months ago (2017-01-09 23:50:32 UTC) #2
bajones
Skimmed through and looks pretty good, with a couple of quick comments. I want to ...
11 months ago (2017-01-10 00:22:18 UTC) #3
mthiesse
https://codereview.chromium.org/2624633002/diff/1/third_party/WebKit/Source/modules/vr/VRDisplay.cpp File third_party/WebKit/Source/modules/vr/VRDisplay.cpp (right): https://codereview.chromium.org/2624633002/diff/1/third_party/WebKit/Source/modules/vr/VRDisplay.cpp#newcode629 third_party/WebKit/Source/modules/vr/VRDisplay.cpp:629: doc->loader()->timing().referenceMonotonicTime() + timeSeconds); On 2017/01/10 00:22:17, bajones wrote: > ...
11 months ago (2017-01-10 00:25:24 UTC) #4
klausw
Looks generally promising, though of course we'd need non-presenting mode to work also. As discussed ...
11 months ago (2017-01-10 00:35:23 UTC) #5
mthiesse
PTAL, implementation is finished. I did some re-jiggering of VrShellGl's render loop to make things ...
11 months ago (2017-01-11 22:42:20 UTC) #8
mthiesse
dcheng@ Please review .mojom changes.
11 months ago (2017-01-11 22:43:14 UTC) #10
dcheng
https://codereview.chromium.org/2624633002/diff/20001/chrome/browser/android/vr_shell/vr_shell_gl.cc File chrome/browser/android/vr_shell/vr_shell_gl.cc (right): https://codereview.chromium.org/2624633002/diff/20001/chrome/browser/android/vr_shell/vr_shell_gl.cc#newcode962 chrome/browser/android/vr_shell/vr_shell_gl.cc:962: callback_ = std::move(callback); One thing I'm not certain about ...
11 months ago (2017-01-12 09:56:56 UTC) #11
mthiesse
https://codereview.chromium.org/2624633002/diff/20001/chrome/browser/android/vr_shell/vr_shell_gl.cc File chrome/browser/android/vr_shell/vr_shell_gl.cc (right): https://codereview.chromium.org/2624633002/diff/20001/chrome/browser/android/vr_shell/vr_shell_gl.cc#newcode962 chrome/browser/android/vr_shell/vr_shell_gl.cc:962: callback_ = std::move(callback); On 2017/01/12 09:56:56, dcheng wrote: > ...
11 months ago (2017-01-12 15:49:03 UTC) #12
mthiesse
11 months ago (2017-01-12 15:49:04 UTC) #13
mthiesse
Ping bajones, klausw, PTAL
11 months ago (2017-01-13 15:49:07 UTC) #16
bajones
https://codereview.chromium.org/2624633002/diff/100001/third_party/WebKit/Source/modules/vr/VRDisplay.cpp File third_party/WebKit/Source/modules/vr/VRDisplay.cpp (right): https://codereview.chromium.org/2624633002/diff/100001/third_party/WebKit/Source/modules/vr/VRDisplay.cpp#newcode177 third_party/WebKit/Source/modules/vr/VRDisplay.cpp:177: ConnectVSyncProvider(); Calling this unconditionally would begin the vsync loop ...
11 months ago (2017-01-13 18:55:53 UTC) #17
mthiesse
https://codereview.chromium.org/2624633002/diff/100001/third_party/WebKit/Source/modules/vr/VRDisplay.cpp File third_party/WebKit/Source/modules/vr/VRDisplay.cpp (right): https://codereview.chromium.org/2624633002/diff/100001/third_party/WebKit/Source/modules/vr/VRDisplay.cpp#newcode177 third_party/WebKit/Source/modules/vr/VRDisplay.cpp:177: ConnectVSyncProvider(); On 2017/01/13 18:55:53, bajones wrote: > Calling this ...
11 months ago (2017-01-13 20:08:54 UTC) #18
klausw
LGTM apart from the increment issue. https://codereview.chromium.org/2624633002/diff/120001/chrome/browser/android/vr_shell/vr_shell.cc File chrome/browser/android/vr_shell/vr_shell.cc (right): https://codereview.chromium.org/2624633002/diff/120001/chrome/browser/android/vr_shell/vr_shell.cc#newcode487 chrome/browser/android/vr_shell/vr_shell.cc:487: // Increment pose ...
11 months ago (2017-01-13 21:04:36 UTC) #19
bajones
LGTM with klausw@'s nit fixed.
11 months ago (2017-01-13 23:29:12 UTC) #20
dcheng
https://codereview.chromium.org/2624633002/diff/20001/device/vr/vr_service.mojom File device/vr/vr_service.mojom (right): https://codereview.chromium.org/2624633002/diff/20001/device/vr/vr_service.mojom#newcode93 device/vr/vr_service.mojom:93: GetVRVSyncProvider(VRVSyncProvider& request); On 2017/01/12 15:49:03, mthiesse wrote: > On ...
11 months ago (2017-01-14 11:22:53 UTC) #21
haraken
https://codereview.chromium.org/2624633002/diff/120001/third_party/WebKit/Source/modules/vr/VRDisplay.cpp File third_party/WebKit/Source/modules/vr/VRDisplay.cpp (right): https://codereview.chromium.org/2624633002/diff/120001/third_party/WebKit/Source/modules/vr/VRDisplay.cpp#newcode646 third_party/WebKit/Source/modules/vr/VRDisplay.cpp:646: 100); // Short delay to throttle requests. Won't this ...
11 months ago (2017-01-15 23:55:05 UTC) #23
mthiesse
Thanks all, excellent feedback. https://codereview.chromium.org/2624633002/diff/20001/device/vr/vr_service.mojom File device/vr/vr_service.mojom (right): https://codereview.chromium.org/2624633002/diff/20001/device/vr/vr_service.mojom#newcode93 device/vr/vr_service.mojom:93: GetVRVSyncProvider(VRVSyncProvider& request); On 2017/01/14 11:22:52, ...
10 months, 4 weeks ago (2017-01-16 20:52:57 UTC) #24
dcheng
It seems like the latest PS is missing; do you mind re-uploading?
10 months, 4 weeks ago (2017-01-17 23:01:20 UTC) #25
mthiesse
On 2017/01/17 23:01:20, dcheng wrote: > It seems like the latest PS is missing; do ...
10 months, 4 weeks ago (2017-01-17 23:25:27 UTC) #26
dcheng
https://codereview.chromium.org/2624633002/diff/160001/chrome/browser/android/vr_shell/non_presenting_gvr_delegate.cc File chrome/browser/android/vr_shell/non_presenting_gvr_delegate.cc (right): https://codereview.chromium.org/2624633002/diff/160001/chrome/browser/android/vr_shell/non_presenting_gvr_delegate.cc#newcode25 chrome/browser/android/vr_shell/non_presenting_gvr_delegate.cc:25: binding_.Close(); Nit: Close() already checks this, so just unconditionally ...
10 months, 3 weeks ago (2017-01-18 23:46:06 UTC) #27
mthiesse
https://codereview.chromium.org/2624633002/diff/160001/chrome/browser/android/vr_shell/non_presenting_gvr_delegate.cc File chrome/browser/android/vr_shell/non_presenting_gvr_delegate.cc (right): https://codereview.chromium.org/2624633002/diff/160001/chrome/browser/android/vr_shell/non_presenting_gvr_delegate.cc#newcode25 chrome/browser/android/vr_shell/non_presenting_gvr_delegate.cc:25: binding_.Close(); On 2017/01/18 23:46:06, dcheng wrote: > Nit: Close() ...
10 months, 3 weeks ago (2017-01-19 00:19:05 UTC) #28
dcheng
mojo lgtm sorry for the long review latency
10 months, 3 weeks ago (2017-01-19 00:25:23 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2624633002/200001
10 months, 3 weeks ago (2017-01-19 00:39:13 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2624633002/200001
10 months, 3 weeks ago (2017-01-19 00:48:57 UTC) #35
haraken
LGTM https://codereview.chromium.org/2624633002/diff/200001/third_party/WebKit/Source/modules/vr/VRDisplay.cpp File third_party/WebKit/Source/modules/vr/VRDisplay.cpp (right): https://codereview.chromium.org/2624633002/diff/200001/third_party/WebKit/Source/modules/vr/VRDisplay.cpp#newcode622 third_party/WebKit/Source/modules/vr/VRDisplay.cpp:622: if (pose.is_null() && timeDelta == WTF::TimeDelta()) { Just ...
10 months, 3 weeks ago (2017-01-19 00:49:56 UTC) #36
mthiesse
https://codereview.chromium.org/2624633002/diff/200001/third_party/WebKit/Source/modules/vr/VRDisplay.cpp File third_party/WebKit/Source/modules/vr/VRDisplay.cpp (right): https://codereview.chromium.org/2624633002/diff/200001/third_party/WebKit/Source/modules/vr/VRDisplay.cpp#newcode622 third_party/WebKit/Source/modules/vr/VRDisplay.cpp:622: if (pose.is_null() && timeDelta == WTF::TimeDelta()) { On 2017/01/19 ...
10 months, 3 weeks ago (2017-01-19 00:54:04 UTC) #38
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2624633002/220001
10 months, 3 weeks ago (2017-01-19 00:55:49 UTC) #41
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/215680)
10 months, 3 weeks ago (2017-01-19 01:17:35 UTC) #43
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2624633002/240001
10 months, 3 weeks ago (2017-01-19 01:26:49 UTC) #46
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_android on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/cast_shell_android/builds/195944)
10 months, 3 weeks ago (2017-01-19 02:01:34 UTC) #48
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2624633002/260001
10 months, 3 weeks ago (2017-01-19 21:38:10 UTC) #51
dcheng
https://codereview.chromium.org/2624633002/diff/200001/third_party/WebKit/Source/modules/vr/VRDisplay.cpp File third_party/WebKit/Source/modules/vr/VRDisplay.cpp (right): https://codereview.chromium.org/2624633002/diff/200001/third_party/WebKit/Source/modules/vr/VRDisplay.cpp#newcode622 third_party/WebKit/Source/modules/vr/VRDisplay.cpp:622: if (pose.is_null() && timeDelta == WTF::TimeDelta()) { On 2017/01/19 ...
10 months, 3 weeks ago (2017-01-19 22:16:12 UTC) #52
commit-bot: I haz the power
Try jobs failed on following builders: android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_clang_dbg_recipe/builds/197331)
10 months, 3 weeks ago (2017-01-19 22:28:37 UTC) #54
mthiesse
https://codereview.chromium.org/2624633002/diff/200001/third_party/WebKit/Source/modules/vr/VRDisplay.cpp File third_party/WebKit/Source/modules/vr/VRDisplay.cpp (right): https://codereview.chromium.org/2624633002/diff/200001/third_party/WebKit/Source/modules/vr/VRDisplay.cpp#newcode622 third_party/WebKit/Source/modules/vr/VRDisplay.cpp:622: if (pose.is_null() && timeDelta == WTF::TimeDelta()) { On 2017/01/19 ...
10 months, 3 weeks ago (2017-01-19 22:56:49 UTC) #55
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2624633002/280001
10 months, 3 weeks ago (2017-01-19 22:57:33 UTC) #58
commit-bot: I haz the power
Try jobs failed on following builders: android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_clang_dbg_recipe/builds/197422)
10 months, 3 weeks ago (2017-01-19 23:44:17 UTC) #60
mthiesse
dcheng@, don't spend too much time on this, but is the build failure here obvious ...
10 months, 3 weeks ago (2017-01-20 01:52:23 UTC) #61
mthiesse
brettw@chromium.org: Please review content/browser/BUILD.gn
10 months, 3 weeks ago (2017-01-20 17:49:14 UTC) #65
mthiesse
On 2017/01/20 17:49:14, mthiesse wrote: > mailto:brettw@chromium.org: Please review content/browser/BUILD.gn ping brettw@, PTAL
10 months, 3 weeks ago (2017-01-24 02:56:14 UTC) #74
mthiesse
On 2017/01/20 17:49:14, mthiesse wrote: > mailto:brettw@chromium.org: Please review content/browser/BUILD.gn ping brettw, PTAL
10 months, 3 weeks ago (2017-01-24 02:56:19 UTC) #75
mthiesse
clamy@chromium.org: Please review content/browser/BUILD.gn (-brettw in favor of a more specific owner)
10 months, 3 weeks ago (2017-01-25 00:28:05 UTC) #79
clamy
https://codereview.chromium.org/2624633002/diff/440001/content/browser/BUILD.gn File content/browser/BUILD.gn (left): https://codereview.chromium.org/2624633002/diff/440001/content/browser/BUILD.gn#oldcode1997 content/browser/BUILD.gn:1997: if (enable_webvr) { If I understand correctly this means ...
10 months, 2 weeks ago (2017-01-25 15:19:48 UTC) #80
mthiesse
https://codereview.chromium.org/2624633002/diff/440001/content/browser/BUILD.gn File content/browser/BUILD.gn (left): https://codereview.chromium.org/2624633002/diff/440001/content/browser/BUILD.gn#oldcode1997 content/browser/BUILD.gn:1997: if (enable_webvr) { On 2017/01/25 15:19:47, clamy wrote: > ...
10 months, 2 weeks ago (2017-01-25 15:36:13 UTC) #81
mthiesse
clamy, how does the latest patchset look? I've added a new target rather than building ...
10 months, 2 weeks ago (2017-01-25 19:01:35 UTC) #89
clamy
Thanks! Lgtm.
10 months, 2 weeks ago (2017-01-26 17:48:30 UTC) #90
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2624633002/520001
10 months, 2 weeks ago (2017-01-26 18:43:44 UTC) #93
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_arm64_dbg_recipe/builds/200823) android_cronet on master.tryserver.chromium.android (JOB_FAILED, ...
10 months, 2 weeks ago (2017-01-26 18:49:14 UTC) #95
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2624633002/540001
10 months, 2 weeks ago (2017-01-26 18:57:15 UTC) #98
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/376847)
10 months, 2 weeks ago (2017-01-26 19:33:46 UTC) #100
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2624633002/560001
10 months, 2 weeks ago (2017-01-26 19:46:51 UTC) #103
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_compile_dbg_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_compile_dbg_ng/builds/345029)
10 months, 2 weeks ago (2017-01-26 20:08:08 UTC) #105
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2624633002/580001
10 months, 2 weeks ago (2017-01-26 20:26:11 UTC) #108
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2624633002/640001
10 months, 2 weeks ago (2017-01-26 22:03:29 UTC) #117
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/354146) mac_chromium_compile_dbg_ng on master.tryserver.chromium.mac (JOB_FAILED, ...
10 months, 2 weeks ago (2017-01-26 22:08:45 UTC) #119
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2624633002/660001
10 months, 2 weeks ago (2017-01-26 22:17:18 UTC) #122
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/377031)
10 months, 2 weeks ago (2017-01-27 02:08:07 UTC) #124
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2624633002/660001
10 months, 2 weeks ago (2017-01-27 02:53:02 UTC) #126
commit-bot: I haz the power
10 months, 2 weeks ago (2017-01-27 03:58:57 UTC) #129
Message was sent while issue was closed.
Committed patchset #29 (id:660001) as
https://chromium.googlesource.com/chromium/src/+/a316edeb21fbc8c122dbe64232c7...

Powered by Google App Engine
This is Rietveld 0eb02b776